<?php
class cGestionxstock{
	
	
	function filtrar($nom1,$nom2,$nom3,$nom4,$limit,$almid,$mar_nom,$des,$cat_id){
		$sql="SELECT * FROM tb_stock st 
		left join tb_catalogo ct on st.tb_catalogo_id = ct.tb_catalogo_id		
		left join tb_marca m on m.tb_marca_id = st.tb_marca_id
		left join tb_producto pro on pro.tb_producto_id = ct.tb_producto_id 
		inner join tb_empaque em on em.tb_empaque_id = pro.tb_empaque_id		
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = pro.tb_presentacion_id
		left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_unidad u on u.tb_unidad_id = ct.tb_unidad_id
		left join tb_categoria ca on ca.tb_categoria_id = pro.tb_categoria_id
		where pro.tb_producto_xac = 1";
	$sql.=" AND pro.tb_producto_nom LIKE '%$nom1%' AND pro.tb_producto_nom LIKE '%$nom2%' AND pro.tb_producto_nom LIKE '%$nom3%' AND pro.tb_producto_nom LIKE '%$nom4%' ";
	
	if($des!="")$sql.=" AND pro.tb_producto_des like '%$des%' ";
		if($cataid>0)$sql.=" AND ct.tb_catalogo_id = '$cataid' ";
		if($cat_id>0)$sql.=" AND pro.tb_categoria_id = '$cat_id' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		if($almid>0)$sql.=" AND st.tb_almacen_id= '$almid' "; 
		
		$sql.=" order by pro.tb_producto_nom desc ";
		
		
		if($limit!="")$sql.=" LIMIT 0,$limit ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>